Page MenuHomePhabricator

efl/gesture: restrict flick and momentum gestures to original touch point
ClosedPublic

Authored by zmike on Jan 13 2020, 12:13 PM.

Details

Summary

if multiple fingers are pressed down, filter and use only the first finger
to make gesture recognizing more accurate

this may change later once tests develop

Depends on D11086

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 13 2020, 12:13 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

CHAN added a subscriber: CHAN.Jan 16 2020, 10:08 PM

@zmike

Let's see it after D11086

zmike updated this revision to Diff 28266.Jan 17 2020, 7:42 AM
zmike edited the summary of this revision. (Show Details)
zmike added a reviewer: CHAN.

update

zmike updated this revision to Diff 28343.Jan 21 2020, 11:56 AM
zmike added a reviewer: bu5hm4n.

rebase/update

zmike updated this revision to Diff 28388.Jan 22 2020, 6:36 AM

remove off-canvas blocking

zmike updated this revision to Diff 28396.Jan 22 2020, 7:00 AM

correctly handle successive presses

zmike updated this revision to Diff 28439.Jan 23 2020, 12:24 PM

rework/rebase

zmike updated this revision to Diff 28660.Jan 29 2020, 11:20 AM

rebase/rework

CHAN accepted this revision.Feb 4 2020, 11:53 PM

Looks good to me.

This revision is now accepted and ready to land.Feb 4 2020, 11:53 PM
Closed by commit rEFL89b35b3f790b: efl/gesture: restrict flick and momentum gestures to original touch point (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:12 AM
This revision was automatically updated to reflect the committed changes.